Bug 989767 - Replace hostname with systemd hostnamectl
Replace hostname with systemd hostnamectl
Status: NEW
Product: Fedora
Classification: Fedora
Component: olpc-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
: Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 17:21 EDT by Jóhann B. Guðmundsson
Modified: 2016-11-24 06:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:08:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
replace hostname with hostnamect patch against upstream (1003 bytes, patch)
2013-07-29 17:27 EDT, Jóhann B. Guðmundsson
no flags Details | Diff

  None (edit)
Description Jóhann B. Guðmundsson 2013-07-29 17:21:48 EDT
Description of problem:

Use systemd hostnamectl instead of hostname and drop the requirement from the spec file on hostname.

$ hostnamectl
   Static hostname: odin.valhalla.is
   Pretty hostname: valhalla
         Icon name: computer-laptop
           Chassis: laptop
        Machine ID: 897a32b09f944807bcddd0324dd60cc5
           Boot ID: 867524521e57459aa37fd206b29a0379
  Operating System: Fedora 18 (Spherical Cow)
       CPE OS Name: cpe:/o:fedoraproject:fedora:18
            Kernel: Linux 3.9.10-200.fc18.x86_64
      Architecture: x86_64


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2013-07-29 17:27:17 EDT
Created attachment 780154 [details]
replace hostname with hostnamect patch against upstream

Unfortunetly there is no equalent to "hostname -s" as is being used here
usr/bin/olpc-solar-log:HOST=`hostname -s`
usr/bin/olpc-pwr-log:HOST=`hostname -s`
usr/bin/olpc-batcap:HOST=`hostname -s`
usr/bin/olpc-panelpwr-log:HOST=`hostname -s`
usr/bin/olpc-logbat:HOST=`hostname -s`

Which requires the use of...
hostnamectl | grep Static | awk -F ":" '{print $2}' | awk -F "." '{print $1}'

I have filed an bug requesting that at least hostnamectl --static, --pretty --trancient will only display those entries

which atleast should reduce this to 
hostnamectl --static | awk -F "." '{print $1}' if approved
Comment 2 Fedora End Of Life 2013-09-16 10:54:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Oliver Sampson 2013-10-09 03:56:33 EDT
Something I noticed is that with the a system upgrade from F17 to F19, the hostname gets swallowed somewhere. In my DSL router/DHCP box, the hostname is correctly offered to the DHCP server in F17 but not in F19 (a generic name is given as a substitute.) Using hostnamectl corrects the issue.

Is this the same issue or should I open a new bug?
Comment 4 Jóhann B. Guðmundsson 2013-10-09 04:02:06 EDT
(In reply to Oliver Sampson from comment #3)
> Something I noticed is that with the a system upgrade from F17 to F19, the
> hostname gets swallowed somewhere. In my DSL router/DHCP box, the hostname
> is correctly offered to the DHCP server in F17 but not in F19 (a generic
> name is given as a substitute.) Using hostnamectl corrects the issue.
> 
> Is this the same issue or should I open a new bug?

This is a RFE for the olpc code to switch using hostnamectl instead of hostname -s command so you should file a different bug against dhcp, the dhcp maintainer will then move it against systemd if applicable
Comment 5 Fedora End Of Life 2015-05-29 05:13:48 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:08:26 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jan Kurik 2015-07-15 10:46:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Fedora End Of Life 2016-11-24 06:00:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.